/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// VERSION: v0_64
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.wear.protolayout.material3.tokens;

import androidx.annotation.ColorInt;
import androidx.annotation.RestrictTo;
import androidx.annotation.RestrictTo.Scope;

/**
 * System color palette provides colors for Material 3 on Wear OS. Only dark theme colors are
 * provided as we always design on black.
 */
@RestrictTo(Scope.LIBRARY)
public final class ColorTokens {
  @ColorInt public static final int BACKGROUND = PaletteTokens.NEUTRAL0;
  @ColorInt public static final int ERROR = PaletteTokens.ERROR80;
  @ColorInt public static final int ERROR_CONTAINER = PaletteTokens.ERROR70;
  @ColorInt public static final int ON_BACKGROUND = PaletteTokens.NEUTRAL100;
  @ColorInt public static final int ON_ERROR = PaletteTokens.ERROR20;
  @ColorInt public static final int ON_ERROR_CONTAINER = PaletteTokens.ERROR10;
  @ColorInt public static final int ON_PRIMARY = PaletteTokens.PRIMARY10;
  @ColorInt public static final int ON_PRIMARY_CONTAINER = PaletteTokens.PRIMARY90;
  @ColorInt public static final int ON_SECONDARY = PaletteTokens.SECONDARY10;
  @ColorInt public static final int ON_SECONDARY_CONTAINER = PaletteTokens.SECONDARY90;
  @ColorInt public static final int ON_SURFACE = PaletteTokens.NEUTRAL95;
  @ColorInt public static final int ON_SURFACE_VARIANT = PaletteTokens.NEUTRAL_VARIANT80;
  @ColorInt public static final int ON_TERTIARY = PaletteTokens.TERTIARY10;
  @ColorInt public static final int ON_TERTIARY_CONTAINER = PaletteTokens.TERTIARY90;
  @ColorInt public static final int OUTLINE = PaletteTokens.NEUTRAL_VARIANT60;
  @ColorInt public static final int OUTLINE_VARIANT = PaletteTokens.NEUTRAL_VARIANT40;
  @ColorInt public static final int PRIMARY = PaletteTokens.PRIMARY90;
  @ColorInt public static final int PRIMARY_CONTAINER = PaletteTokens.PRIMARY30;
  @ColorInt public static final int PRIMARY_DIM = PaletteTokens.PRIMARY80;
  @ColorInt public static final int SECONDARY = PaletteTokens.SECONDARY90;
  @ColorInt public static final int SECONDARY_CONTAINER = PaletteTokens.SECONDARY30;
  @ColorInt public static final int SECONDARY_DIM = PaletteTokens.SECONDARY80;
  @ColorInt public static final int SURFACE_CONTAINER = PaletteTokens.NEUTRAL20;
  @ColorInt public static final int SURFACE_CONTAINER_HIGH = PaletteTokens.NEUTRAL30;
  @ColorInt public static final int SURFACE_CONTAINER_LOW = PaletteTokens.NEUTRAL15;
  @ColorInt public static final int TERTIARY = PaletteTokens.TERTIARY90;
  @ColorInt public static final int TERTIARY_CONTAINER = PaletteTokens.TERTIARY30;
  @ColorInt public static final int TERTIARY_DIM = PaletteTokens.TERTIARY80;

  private ColorTokens() {}
}
